Subject: Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors

From: Alan Third <[email-masked]>
Date: Sun, 25 Jul 2021 12:44:49 +0100

Alan Third <[email-masked]> writes:

> On Mon, Jan 27, 2020 at 11:30:13AM -0800, Daniel (Youngwhan) Song wrote:
>> it's been 8 years, and I use gnu emcas from macports, and I tried the M-x
>> list-colors-display, and it only shows 42 colors.
>> 
>> I deleted ~/Library/Colors/Emacs.clr and re-launched the Emacs in the Mac,
>> but it's same. It only shows 42 colors.
>> 
>> I followed David Caldwell's suggestion as before, and then it shows 500
>> colors.
>
> Can you please show me the contents of ~/Library/Colors and
> /Library/Colors, if they exist.
>
> Can you also show the value of ‘data-directory’ in Emacs then have a
> look at rgb.txt in that directory and see if it has the full list of
> colours.
>
> Also send the output of (emacs-version), please.

No response again, but I believe this should be "fixed" since I had to
add a test that checks the number of available colours and if it's not
right reruns the colour initialisation code (commit a8f99d113c).

It was added to work around problems with the Emacs.clr file being
corrupted, but should fix this too.

-- 
Alan Third